Subject: Re: bug#16733: messed up unicode chars in package description

From: Juanma Barranquero <[email-masked]>
Date: Thu, 20 Mar 2014 18:26:15 +0100

On Thu, Mar 20, 2014 at 5:21 PM, Eli Zaretskii <[email-masked]> wrote:

> This is suboptimal when the URL already tells its charset.  In that
> case, you should use the information; you should fall back to
> detect-coding-string only if that information is not available.

That would mean to manually parse the headers and/or duplicate part of
what url-insert / url-insert-file-contents do. In that case, I'd
prefer one of the other fixes.

   J